<!doctype html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Network Acoustics</title>

  <script type="text/javascript" src="http://visjs.org/dist/vis.js"></script>
  <link href="http://visjs.org/dist/vis-network.min.css" rel="stylesheet" type="text/css" />

  <link rel="stylesheet" href="http://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <script src="https://code.jquery.com/jquery-3.2.1.js" integrity="sha256-DZAnKJ/6XZ9si04Hgrsxu/8s717jcIzLy3oi35EouyE=" crossorigin="anonymous"></script>
  <style>
    #mynetworkIO {
      height: 1500px;
      width: 1500px;
      border:1px solid lightgrey;
    }

    p {
      max-width:700px;
    }
  </style>
  <script language="JavaScript">

  var nodes, edges;

  function load(){
    $.ajax({
      url: "nodes.json"
    }).done( function(data) {
      nodes = data;
      convertNodes();
      checkIfLoadingDone();
    })

    $.ajax({
      url: "edges.json"
    }).done( function(data) {
      edges = data;
      convertEdges();
      checkIfLoadingDone();
    })
  };

  function checkIfLoadingDone() {
    if (edges != undefined && nodes != undefined) {
      draw();
    } else {
      load();
    }
  };

  function convertNodes(){
    for (i = 0; i < nodes.length; i++){
      nodes[i].id = nodes[i].nid;
      nodes[i].label = nodes[i].title;
      nodes[i].group = nodes[i].type;
    }

    for (i = 0; i < nodes.length; i++){
      delete nodes[i].nid;
      delete nodes[i].title;
      delete nodes[i].type;
    }
  };

  function convertEdges(){
    for (i = 0; i < edges.length; i++){
      edges[i].from = edges[i].first;
      edges[i].to = edges[i].second;
      edges[i].label = edges[i]["field-relation-type"];
    }

    for (i = 0; i < edges.length; i++){
      delete edges[i].first;
      delete edges[i].second;
      delete edges[i]["field-relation-type"];
    }
  };

  load();

    function draw() {
      /*
       * Example for Ionicons
       */
      var optionsIO = {
        edges:{
          arrows: 'to',
          font: {align: 'middle'}
        },
        groups: {
          Person: {
            shape: 'icon',
            icon: {
              face: 'Ionicons',
              code: '\uf47e',
              size: 50,
              color: '#FF8000'
            }
          },
          Contributor_essay: {
            shape: 'icon',
            icon: {
              face: 'Ionicons',
              code: '\uf12e',
              size: 50,
              color: '#FA58D0'
            }
          },
          Text: {
            shape: 'icon',
            icon: {
              face: 'Ionicons',
              code: '\uf12e',
              size: 50,
              color: '#00ff80'
            }
          },
          Video: {
            shape: 'icon',
            icon: {
              face: 'Ionicons',
              code: '\uf4cd',
              size: 50,
              color: '#CC2EFA'
            }
          },
          Image: {
            shape: 'icon',
            icon: {
              face: 'Ionicons',
              code: '\uf2e4',
              size: 50,
              color: '#000000'
            }
          },
          Audio: {
            shape: 'icon',
            icon: {
              face: 'Ionicons',
              code: '\uf140',
              size: 50,
              color: '#E2E200'
            }
          }
        }
      };


      // create a network
      var containerIO = document.getElementById('mynetworkIO');
      var dataIO = {
        nodes: nodes,
        edges: edges
      };
      var networkIO = new vis.Network(containerIO, dataIO, optionsIO);
    }
  </script>

</head>
<body>
<div id="mynetworkIO"></div>

</body>

</html>
